SOURCES=CooperativeMultitasking.md
IMG_SOURCES=led_state.dot led_state_simple.dot rtb_state.dot fridge_state.dot \
  rtb_state_2.dot rtb_state_3.dot rtb_state_4.dot rtb_state_5.dot \
  window_state.dot radio_tuner.dot beer_vat.dot \
  window_complex.dot door.dot door2.dot vending.dot


OBJECTS=$(SOURCES:.md=.html)
IMG_OBJECTS=$(IMG_SOURCES:.dot=.png)

CC=pandoc -s -t html -B header.md -A footer.md
CC=pandoc -s -t html --toc --css pandoc.css --toc-depth=3 
IM=dot -Tpng 

%.html : %.md
	$(CC) $< -o $@

%.png: %.dot
	$(IM) $< -o $@

all: $(OBJECTS) $(IMG_OBJECTS)
	echo "done"

clean:
	rm $(OBJECTS)
